#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 12. System Utilities

- Prev

  Systemd-260.1

- Next

  UnRar-7.2.4

- Up
- Home

# UDisks-2.11.1

## Introduction to UDisks

The UDisks package provides a daemon, tools and libraries to access and manipulate disks and storage devices.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/storaged-project/udisks/releases/download/udisks-2.11.1/udisks-2.11.1.tar.bz2

- Download MD5 sum: 55f9f7bbb7986244bb4905c04f8c1542

- Download size: 1.9 MB

- Estimated disk space required: 68 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### UDisks Dependencies

#### Required

libatasmart-0.19, libblockdev-3.5.0, libgudev-238, and Polkit-127

#### Recommended

Systemd-260.1 (runtime)

#### Optional (Required if building GNOME)

GLib-2.88.0 (with GObject Introspection)

#### Optional

D-Bus Python-1.4.0 (for the integration tests), GTK-Doc-1.36.1, libxslt-1.1.45 (for the man pages), LVM2-2.03.39, PyGObject-3.56.2 (for the integration tests), exFAT, and libiscsi

#### Optional Runtime Dependencies

btrfs-progs-6.19.1, dosfstools-4.2, gptfdisk-1.0.10, mdadm-4.4, and xfsprogs-6.19.0

## Installation of UDisks

Install UDisks by running the following commands:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --localstatedir=/var \
                --disable-static     \
                --enable-available-modules &&
    make

To test the results, issue: make check. A more thorough test can be run with make ci. You must first create the directories `/var/run/udisks2` and `/var/lib/udisks2`, and the optional python modules should be present.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

`--enable-available-modules`: This switch enables additional UDisks2 functionalities if libblockdev-3.5.0 has been built with optional dependencies.

## Contents

Installed Programs: udisksctl and umount.udisks2
Installed Library: libudisks2.so
Installed Directories: /etc/udisks2, /usr/include/udisks2, /usr/libexec/udisks2, /usr/share/gtk-doc/html/udisks2, and /var/lib/udisks2

### Short Descriptions

udisksctl | is a command-line program used to interact with the udisksd daemon
umount.udisks2 | is a command-line program used to unmount file systems that have been mounted by the UDisks daemon
`libudisks2.so` | contains the UDisks API functions

- Prev

  Systemd-260.1

- Next

  UnRar-7.2.4

- Up
- Home